## tdeutils-trinity 14.1.1

=== debian/changelog ===
tdeutils-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#tdeutils

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 25 Sep 2023 13:04:04 +0200

=== debian/control ===
Source: tdeutils-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Christopher Martin <chrsmrtn@debian.org>, Fathi Boudra <fboudra@free.fr>, Josh Metzler <joshdeb@metzlers.org>, Sune Vuorela <debian@pusling.com>
Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, tdebase-trinity-dev, libkonq4-trinity-dev, libgmp3-dev, libsnmp-dev, libxpm-dev, python3-all-dev, libxtst-dev, xutils
Build-Depends-Indep: doxygen, libtqtinterface-doc, graphviz, gsfonts-x11, tdelibs14-trinity-doc
Standards-Version: 3.8.4

Package: tdeutils-trinity
Section: tde
Architecture: all
Replaces: kdeutils-kde3 (<< 4:14.0.0~), kdeutils-trinity (<< 4:14.0.0~)
Breaks: kdeutils-kde3 (<< 4:14.0.0~), kdeutils-trinity (<< 4:14.0.0~)
Depends: ark-trinity (>= ${source:Version}), kcalc-trinity (>= ${source:Version}), kcharselect-trinity (>= ${source:Version}), tdelirc-trinity (>= ${source:Version}), tdessh-trinity (>= ${source:Version}), kdf-trinity (>= ${source:Version}), kedit-trinity (>= ${source:Version}), kfloppy-trinity (>= ${source:Version}), kgpg-trinity (>= ${source:Version}), khexedit-trinity (>= ${source:Version}), kjots-trinity (>= ${source:Version}), klaptopdaemon-trinity (>= ${source:Version}), kmilo-trinity (>= ${source:Version}), kregexpeditor-trinity (>= ${source:Version}), ksim-trinity (>= ${source:Version}), ktimer-trinity (>= ${source:Version}), tdewalletmanager-trinity (>= ${source:Version}), superkaramba-trinity (>= ${source:Version}), tdefilereplace-trinity (>= ${source:Version})
Suggests: tdeutils-trinity-doc-html (>= ${source:Version})
Recommends: tdepowersave-trinity
Description: general purpose utilities from the official Trinity release
 TDE (the Trinity Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This metapackage includes a collection of general purpose utilities 
 provided with the official release of Trinity.

Package: tdeutils-trinity-doc
Section: doc
Architecture: all
Replaces: kdeutils-kde3-doc (<< 4:14.0.0~), kdeutils-trinity-doc (<< 4:14.0.0~)
Breaks: kdeutils-kde3-doc (<< 4:14.0.0~), kdeutils-trinity-doc (<< 4:14.0.0~)
Description: developer documentation for the TDE utilities module
 This package contains documentation for the TDE utilities module, of
 use more for developers creating applications than regular users.
 .
 This package is part of Trinity, and a component of the TDE utilities module.
 See the 'tde-trinity' and 'tdeutils-trinity' packages for more information.

Package: tdeutils-trinity-doc-html
Architecture: all
Section: doc
Replaces: kdeutils-kde3-doc-html (<< 4:14.0.0~), kdeutils-trinity-doc-html (<< 4:14.0.0~)
Breaks: kdeutils-kde3-doc-html (<< 4:14.0.0~), kdeutils-trinity-doc-html (<< 4:14.0.0~)
Suggests: konqueror-trinity | www-browser, tdebase-trinity
Description: Trinity utilities documentation in HTML format
 By default the modules provided by TDE only provide their documentation
 in TDE docbook format, which can only be read by Konqueror or KHelpCenter.
 This package provides all of the TDE utilities documentation
 converted to HTML format so it can be read with any web browser.
 .
 The documentation will be installed into the usual directories
 /usr/share/doc/tde/HTML/<language>/<app>/, for instance
 /usr/share/doc/tde/HTML/en/ark/. Documentation is provided for most
 TDE utilities packages.
 .
 This package is part of Trinity, as a component of the TDE utilities module.
 See the 'tde-trinity' and 'tdeutils-trinity' packages for more information.

Package: tdeutils-trinity-dev
Section: utils
Architecture: any
Replaces: kdeutils-kde3-dev (<< 4:14.0.0~), kdeutils-trinity-dev (<< 4:14.0.0~)
Breaks: kdeutils-kde3-dev (<< 4:14.0.0~), kdeutils-trinity-dev (<< 4:14.0.0~)
Depends: ark-trinity (= ${source:Version}), kcalc-trinity (= ${source:Version}), tdelirc-trinity (= ${source:Version}), kedit-trinity (= ${source:Version}), khexedit-trinity (= ${source:Version}), klaptopdaemon-trinity (= ${source:Version}), kmilo-trinity (= ${source:Version}), kregexpeditor-trinity (= ${source:Version}), ksim-trinity (= ${source:Version}), tdelibs14-trinity-dev
Description: development files for the Trinity utilities module
 This package contains development files needed to compile tdeutils
 applications.
 .
 This package is part of Trinity, as a component of the TDE utilities module.
 See the 'tde-trinity' and 'tdeutils-trinity' packages for more information.

Package: ark-trinity
Section: utils
Architecture: any
Replaces: ark-kde3 (<< 4:14.0.0~), ark-trinity (<< 4:14.0.0~)
Breaks: ark-kde3 (<< 4:14.0.0~), ark-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Recommends: ncompress, unzip, zip, zoo, bzip2, p7zip-full, xz-utils, lzma
Suggests: khelpcenter-trinity, rar, unrar | unrar-free
Description: graphical archiving tool for Trinity
 Ark is a graphical program for managing various archive formats within the
 TDE environment. Archives can be viewed, extracted, created and modified
 from within Ark.
 .
 The program can handle various formats such as tar, gzip, bzip2, zip, rar and
 lha (if appropriate command-line programs are installed).
 .
 Ark can work closely with Konqueror in the TDE environment to handle archives,
 if you install the Konqueror Integration plugin available in the konq-plugins
 package.
 .
 This package is part of Trinity, as a component of the TDE utilities module.
 See the 'tde-trinity' and 'tdeutils-trinity' packages for more information.

Package: kcalc-trinity
Section: utils
Architecture: any
Replaces: kcalc-kde3 (<< 4:14.0.0~), kcalc-trinity (<< 4:14.0.0~)
Breaks: kcalc-kde3 (<< 4:14.0.0~), kcalc-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity
Description: calculator for Trinity
 KCalc is TDE's scientific calculator.
 .
 It provides:
  * trigonometric functions, logic operations, and statistical calculations
  * easy cut and paste of numbers from/into its display
  * a results-stack which lets you conveniently recall previous results
  * configurable precision, and number of digits after the period
 .
 This package is part of Trinity, as a component of the TDE utilities module.
 See the 'tde-trinity' and 'tdeutils-trinity' packages for more information.

Package: kcharselect-trinity
Section: utils
Architecture: any
Replaces: kcharselect-kde3 (<< 4:14.0.0~), kcharselect-trinity (<< 4:14.0.0~)
Breaks: kcharselect-kde3 (<< 4:14.0.0~), kcharselect-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity
Description: character selector for Trinity
 A character set selector for TDE.
 .
 This package is part of Trinity, as a component of the TDE utilities module.
 See the 'tde-trinity' and 'tdeutils-trinity' packages for more information.

Package: tdelirc-trinity
Section: utils
Architecture: any
Replaces: kdelirc-kde3 (<< 4:14.0.0~), kdelirc-trinity (<< 4:14.0.0~)
Breaks: kdelirc-kde3 (<< 4:14.0.0~), kdelirc-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity
Description: infrared control for Trinity
 This is a frontend for the LIRC suite to use infrared devices with TDE.
 .
 This package is part of Trinity, as a component of the TDE utilities module.
 See the 'tde-trinity' and 'tdeutils-trinity' packages for more information.

Package: tdessh-trinity
Section: tde
Architecture: any
Replaces: kdessh-kde3 (<< 4:14.0.0~), kdessh-trinity (<< 4:14.0.0~)
Breaks: kdessh-kde3 (<< 4:14.0.0~), kdessh-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, openssh-client | ssh-client
Description: ssh frontend for Trinity
 This package contains TDE's frontend for ssh.
 .
 This package is part of Trinity, as a component of the TDE utilities module.
 See the 'tde-trinity' and 'tdeutils-trinity' packages for more information.

Package: kdf-trinity
Section: utils
Architecture: any
Replaces: kdf-kde3 (<< 4:14.0.0~), kdf-trinity (<< 4:14.0.0~)
Breaks: kdf-kde3 (<< 4:14.0.0~), kdf-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity
Description: disk space utility for Trinity
 KDiskFree displays the available file devices (hard drive partitions, floppy
 and CD drives, etc.) along with information on their capacity, free space, type
 and mount point. It also allows you to mount and unmount drives and view them
 in a file manager.
 .
 This package is part of Trinity, as a component of the TDE utilities module.
 See the 'tde-trinity' and 'tdeutils-trinity' packages for more information.

Package: kedit-trinity
Section: editors
Architecture: any
Replaces: kedit-kde3 (<< 4:14.0.0~), kedit-trinity (<< 4:14.0.0~)
Breaks: kedit-kde3 (<< 4:14.0.0~), kedit-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity
Description: basic text editor for Trinity
 A simple text editor for TDE.
 .
 It can be used with Konqueror for text and configuration file browsing.
 KEdit also serves well for creating small plain text documents. KEdit's
 functionality will intentionally remain rather limited to ensure a
 reasonably fast start.
 .
 This package is part of Trinity, as a component of the TDE utilities module.
 See the 'tde-trinity' and 'tdeutils-trinity' packages for more information.

Package: kfloppy-trinity
Section: utils
Architecture: any
Replaces: kfloppy-kde3 (<< 4:14.0.0~), kfloppy-trinity (<< 4:14.0.0~)
Breaks: kfloppy-kde3 (<< 4:14.0.0~), kfloppy-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, dosfstools
Suggests: khelpcenter-trinity
Description: floppy formatter for TDE
 Kfloppy is a utility that provides a straightforward graphical means
 to format 3.5" and 5.25" floppy disks.
 .
 This package is part of Trinity, as a component of the TDE utilities module.
 See the 'tde-trinity' and 'tdeutils-trinity' packages for more information.

Package: kgpg-trinity
Section: tde
Architecture: any
Replaces: kgpg-kde3 (<< 4:14.0.0~), kgpg-trinity (<< 4:14.0.0~)
Breaks: kgpg-kde3 (<< 4:14.0.0~), kgpg-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, konsole-trinity, gnupg
Suggests: khelpcenter-trinity
Description: GnuPG frontend for Trinity
 Kgpg is a frontend for GNU Privacy Guard (GnuPG). It provides file
 encryption, file decryption and key management.
 .
 Features:
   * an editor mode for easily and quickly encrypting or decrypting a file
     or message which is typed, copied, pasted or dragged into the editor,
     or which is double-clicked in the file manager
   * Konqueror integration for encrypting or decrypting files
   * a panel applet for encrypting / decrypting files or the clipboard
     contents, etc.
   * key management functions (generation, import, export, deletion and
     signing)
   * decrypting clipboard contents, including integration with Klipper
 .
 This package is part of Trinity, as a component of the TDE utilities module.
 See the 'tde-trinity' and 'tdeutils-trinity' packages for more information.

Package: khexedit-trinity
Section: utils
Architecture: any
Replaces: khexedit-kde3 (<< 4:14.0.0~), khexedit-trinity (<< 4:14.0.0~)
Breaks: khexedit-kde3 (<< 4:14.0.0~), khexedit-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity
Description: Trinity hex editor
 KHexEdit is an editor for the raw data of binary files.  It includes
 find/replace functions, bookmarks, many configuration options, drag and drop
 support and other powerful features.
 .
 This package is part of Trinity, as a component of the TDE utilities module.
 See the 'tde-trinity' and 'tdeutils-trinity' packages for more information.

Package: kjots-trinity
Section: utils
Architecture: any
Replaces: kjots-kde3 (<< 4:14.0.0~), kjots-trinity (<< 4:14.0.0~)

## tdeutils-trinity 14.1.2

=== debian/changelog ===
tdeutils-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#tdeutils

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 12 Apr 2024 17:16:28 +0200

## tdeutils-trinity 14.1.3

=== kjots/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( icons )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### kjots (executable) ########################

tde_add_executable( kjots AUTOMOC
  SOURCES main.cpp KJotsMain.cpp kjotsentry.cpp
    kjotsedit.cpp kjotsbookmarks.cpp
    confpagefont.ui confpagemisc.ui
    KJotsSettings.kcfgc
  LINK tdeprint-shared
  DESTINATION ${BIN_INSTALL_DIR}
)


##### other data ################################

install( FILES kjotsui.rc
  DESTINATION ${DATA_INSTALL_DIR}/kjots
)

tde_create_translated_desktop( Kjots.desktop )

install( FILES kjots.kcfg
  DESTINATION ${KCFG_INSTALL_DIR}
)

=== debian/changelog ===
tdeutils-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#tdeutils

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 02 Oct 2024 20:36:51 +0200

## tdeutils-trinity 14.1.4

=== kcharselect/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### kcharselect (executable) ##################

tde_add_executable( kcharselect AUTOMOC
  SOURCES kcharselectdia.cpp main.cpp
  LINK tdeui-shared
  DESTINATION ${BIN_INSTALL_DIR} 
)


##### icons #####################################

tde_install_icons( kcharselect)


##### other data ################################

install( FILES kcharselectui.rc
  DESTINATION ${DATA_INSTALL_DIR}/kcharselect
)

tde_create_translated_desktop( KCharSelect.desktop )

install( FILES kcharselect.upd
  DESTINATION ${KCONF_UPDATE_INSTALL_DIR}
)

=== ark/pics/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_install_icons( DESTINATION ${DATA_INSTALL_DIR}/ark/icons )

=== doc/kvaio/CMakeLists.txt ===
#################################################
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_create_handbook( DESTINATION kcontrol/kvaio )

=== khexedit/lib/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( controller )
add_subdirectory( codecs )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${CMAKE_CURRENT_BINARY_DIR}/controller
  ${CMAKE_CURRENT_BINARY_DIR}/codecs
)


##### khexeditcommon (shared) ###################

tde_add_library( khexeditcommon SHARED AUTOMOC
  SOURCES kcolumn.cpp kbordercolumn.cpp
    koffsetcolumn.cpp kbuffercolumn.cpp
    kvaluecolumn.cpp kcharcolumn.cpp
    kcolumnsview.cpp khexedit.cpp kbytesedit.cpp
    koffsetformat.cpp kdatabuffer.cpp
    kwrappingrobuffer.cpp kplainbuffer.cpp
    kfixedsizebuffer.cpp kbigbuffer.cpp
    kbuffercursor.cpp kbufferlayout.cpp
    kbufferranges.cpp kcursor.cpp kbufferdrag.cpp
    kwordbufferservice.cpp ksectionlist.cpp
    kcoordrangelist.cpp kbordercoltextexport.cpp
    koffsetcoltextexport.cpp
    kbuffercoltextexport.cpp
    kvaluecoltextexport.cpp
    kcharcoltextexport.cpp
  LINK tdecore-shared kcontroller-static
    khecodecs-static
  VERSION 0.0.0
  DESTINATION ${LIB_INSTALL_DIR}
)

=== kjots/icons/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_install_icons( kjots)


##### other data ################################

install( FILES filedel.png
  DESTINATION ${DATA_INSTALL_DIR}/kjots/pics
)

=== kmilo/powerbook/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/kmilo/kmilod
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${CMAKE_BINARY_DIR}/kmilo/kmilod
)


##### kmilo_powerbook (kpart) ###################

tde_add_kpart( kmilo_powerbook AUTOMOC
  SOURCES pb_monitor.cpp
  LINK tdeio-shared kmilo-shared ${PBB_LIBRARY}
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE kmilo_powerbook.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}/kmilo
  PO_DIR kmilo-desktops
)

=== tdelirc/irkick/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( icons )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/tdelirc/tdelirc
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${CMAKE_BINARY_DIR}/tdelirc/tdelirc
)


##### irkick_common (static) ####################

tde_add_library( irkick_common STATIC_PIC AUTOMOC
  SOURCES irkick.cpp irkick.skel
    irkick.stub tdelircclient.cpp
  LINK tdeui-shared tdelirc-static
)


##### irkick (tdeinit) ##########################

tde_add_tdeinit_executable( irkick AUTOMOC
  SOURCES main.cpp
  LINK irkick_common-static
)


##### icons #####################################

tde_install_icons( )


##### other data ################################

tde_create_translated_desktop(
  SOURCE irkick.desktop
  PO_DIR tdelirc-desktops
)

install(
  FILES ${CMAKE_CURRENT_BINARY_DIR}/irkick.desktop
  DESTINATION ${AUTOSTART_INSTALL_DIR}
)

=== tdelirc/profiles/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

install( FILES profile.dtd noatun.profile.xml
     tdelauncher.profile.xml konqueror.profile.xml
  DESTINATION ${DATA_INSTALL_DIR}/profiles
)

=== doc/kcontrol/kcmlowbatcrit/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_create_handbook( DESTINATION
  kcontrol/kcmlowbatcrit )

=== doc/kcontrol/powerctrl/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_create_handbook( DESTINATION
  kcontrol/powerctrl )

=== khexedit/parts/kbytesedit/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/khexedit/lib
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${CMAKE_BINARY_DIR}/khexedit/lib
)


##### kbyteseditwidget (kpart) ##################

tde_add_kpart( libkbyteseditwidget AUTOMOC
  SOURCES kbyteseditwidget.cpp
  DESTINATION ${PLUGIN_INSTALL_DIR}
  LINK khexeditcommon-shared tdeparts-shared
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE kbyteseditwidget.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR khexdedit-desktops
)

=== klaptopdaemon/pics/actions/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_install_icons( 
  DESTINATION ${DATA_INSTALL_DIR}/klaptopdaemon/icons
)

=== debian/changelog ===
tdeutils-trinity (4:14.1.4-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#tdeutils

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

## tdeutils-trinity 14.1.5~pre5

=== debian/changelog ===
tdeutils-trinity (4:14.1.5~pre5-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for b8bb7f148d71d50a5274e426e0973397a664a245
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tdeutils

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## tdeutils-trinity 14.1.5

=== charselectapplet/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### kcharselect_panelapplet (kpart) ###########

tde_add_kpart( kcharselect_panelapplet AUTOMOC
  SOURCES charselectapplet.cpp
  LINK tdeui-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE kcharselectapplet.desktop
  DESTINATION ${DATA_INSTALL_DIR}/kicker/applets
)

=== kdf/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( pics )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### kdf_common (static) #######################

tde_add_library( kdf_common STATIC_PIC AUTOMOC
  SOURCES kdfwidget.cpp kdfconfig.cpp
    mntconfig.cpp disklist.cpp disks.cpp
    listview.cpp optiondialog.cpp stdoption.cpp
  LINK tdeui-shared tdeio-shared
)


##### kdf (executable) ##########################

tde_add_executable( kdf AUTOMOC
  SOURCES kdf.cpp
  LINK kdf_common-static 
  DESTINATION ${BIN_INSTALL_DIR}
)


##### kwikdisk (executable) #####################

tde_add_executable( kwikdisk AUTOMOC
  SOURCES kwikdisk.cpp
  LINK kdf_common-static
  DESTINATION ${BIN_INSTALL_DIR}
)


##### kcm_kdf (kpart) ###########################

tde_add_kpart( kcm_kdf AUTOMOC
  SOURCES kcmdf.cpp
  LINK kdf_common-static
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

install( FILES kdfui.rc
  DESTINATION ${DATA_INSTALL_DIR}/kdf
)

tde_create_translated_desktop(
  SOURCE kdf.desktop kwikdisk.desktop kcmdf.desktop
  PO_DIR kdf-desktops
)

=== khexedit/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( pics )
add_subdirectory( lib )
add_subdirectory( parts )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### khexedit (executable) #####################

tde_add_executable( khexedit AUTOMOC
  SOURCES main.cpp toplevel.cpp hexmanagerwidget.cpp
    hexeditorwidget.cpp hextoolwidget.cpp
    hexviewwidget.cpp hexbuffer.cpp conversion.cpp
    dialog.cpp hexvalidator.cpp hexclipboard.cpp
    optiondialog.cpp printdialogpage.cpp
    statusbarprogress.cpp hexprinter.cpp
    hexerror.cpp draglabel.cpp stringdialog.cpp
    bitswapwidget.cpp chartabledialog.cpp
    hexdrag.cpp exportdialog.cpp fileinfodialog.cpp
    converterdialog.cpp listview.cpp searchbar.cpp
  LINK tdeio-shared tdeprint-shared
  DESTINATION ${BIN_INSTALL_DIR}
)


##### icons #####################################

tde_install_icons( khexedit)


##### other data ################################

install( FILES khexeditui.rc
  DESTINATION ${DATA_INSTALL_DIR}/khexedit
)

tde_create_translated_desktop(
  SOURCE khexedit.desktop
  PO_DIR khexedit-desktops
)

=== tdessh/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)

add_definitions(
  -DTQT_NO_CAST_ASCII
)


##### tdessh (executable) #######################

tde_add_executable( tdessh AUTOMOC
  SOURCES tdessh.cpp sshdlg.cpp
  LINK tdeui-shared tdesu-shared
  DESTINATION ${BIN_INSTALL_DIR}
)

=== doc/kcharselect/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_create_handbook( DESTINATION kcharselect )

=== doc/kedit/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_create_handbook( DESTINATION kedit )

=== doc/kfloppy/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_create_handbook( DESTINATION kfloppy )

=== doc/kgpg/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_create_handbook( DESTINATION kgpg )

=== khexedit/pics/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

install( FILES hexwrite.png hexdrag.png
  hexmask.png
  DESTINATION ${DATA_INSTALL_DIR}/khexedit/pics
)

=== klaptopdaemon/applnk/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_create_translated_desktop(
  SOURCE laptop.desktop pcmcia.desktop
  PO_DIR klaptopdaemon-desktops
)

tde_create_translated_desktop(
  SOURCE klaptopdaemon.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}/kded
  PO_DIR klaptopdaemon-desktops
)

=== kmilo/asus/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/kmilo/kmilod
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${CMAKE_BINARY_DIR}/kmilo/kmilod
)


##### kmilo_asus (kpart) ########################

tde_add_kpart( kmilo_asus AUTOMOC
  SOURCES asus.cpp
  LINK tdeio-shared kmilo-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE kmilo_asus.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}/kmilo
  PO_DIR kmilo-desktops
)

=== kmilo/demo/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### kmilo_demo (kpart) ########################

tde_add_kpart( kmilo_demo AUTOMOC
  SOURCES demo.cpp
  LINK tdeio-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE kmilo_demo.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}/kmilo
  PO_DIR kmilo-desktops
)

=== debian/changelog ===
tdeutils-trinity (4:14.1.5-0ubuntu20.04.0+0) focal; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tdeutils

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Christopher Martin <chrsmrtn@debian.org>, Fathi Boudra <fboudra@free.fr>, Josh Metzler <joshdeb@metzlers.org>, Sune Vuorela <debian@pusling.com>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, tdebase-trinity-dev, libkonq4-trinity-dev, libgmp3-dev, libsnmp-dev, libxpm-dev, python3-all-dev, libxtst-dev, xutils
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, tdebase-trinity-dev, libkonq4-trinity-dev, libgmp3-dev, libsnmp-dev, libxpm-dev, python3-all-dev, libxtst-dev, xutils
 Build-Depends-Indep: doxygen, libtqtinterface-doc, graphviz, gsfonts-x11, tdelibs14-trinity-doc
 Standards-Version: 3.8.4

## tdeutils-trinity 14.1.6~pre0

=== debian/changelog ===
tdeutils-trinity (4:14.1.6~pre0-0debian14.0.0+0~a) forky; urgency=low

  * Automated git build for b8bb7f148d71d50a5274e426e0973397a664a245
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdeutils

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## tdeutils-trinity 14.1.6~pre1

=== debian/changelog ===
tdeutils-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for f33913473f8027f772e57567bba93959e276d0a0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdeutils

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 26 Nov 2025 02:02:52 +0100

## tdeutils-trinity 14.1.6~pre3

=== debian/changelog ===
tdeutils-trinity (4:14.1.6~pre3-0ubuntu25.10.0+0) questing; urgency=low

  * Automated git build for e0fd4fb0b2c9f99d278a7f085bac5bd311dbd04f
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdeutils

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 16 Dec 2025 11:16:52 +0100

## tdeutils-trinity 14.1.6~pre7

=== debian/changelog ===
tdeutils-trinity (4:14.1.6~pre7-0ubuntu25.04.0+1) plucky; urgency=low

  * Automated git build for 7b4cebbb59365794180f9c699056fd14658584c0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdeutils

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 05 Jan 2026 15:45:10 +0100

## tdeutils-trinity 14.1.6~pre9

=== kmilo/thinkpad/kcmthinkpad/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)

add_definitions(
  -DTDE_BINDIR="${BIN_INSTALL_DIR}"
)

##### kcm_thinkpad (kpart) ######################

tde_add_kpart( kcm_thinkpad AUTOMOC
  SOURCES kcmthinkpad_general.ui main.cpp
  LINK tdeio-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE thinkpad.desktop
  DESTINATION ${XDG_APPS_INSTALL_DIR}
  PO_DIR kmilo-desktops
)

=== debian/changelog ===
tdeutils-trinity (4:14.1.6~pre9-0ubuntu26.04.0+1~a) resolute; urgency=low

  * Automated git build for 1eb68a27b7279bf8570349adde279a2af5996dd8
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdeutils

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 17 Jan 2026 16:18:35 +0100

## tdeutils-trinity 14.1.6~pre10

=== debian/changelog ===
tdeutils-trinity (4:14.1.6~pre10-0ubuntu26.04.0+1~a) resolute; urgency=low

  * Automated git build for 35e04f0c6383dcdf69461e1e016f3f55fbfd371d
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdeutils

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 31 Jan 2026 14:17:15 +0100

## tdeutils-trinity 14.1.6~pre11

=== debian/changelog ===
tdeutils-trinity (4:14.1.6~pre11-0ubuntu26.04.0+1~a) resolute; urgency=low

  * Automated git build for 21eecbb7c5d94e33d65d513ccd534f232603beea
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdeutils

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 21 Feb 2026 06:01:20 +0100

## tdeutils-trinity 14.2.0~pre142

=== kcalc/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( knumber )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/knumber
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${CMAKE_CURRENT_BINARY_DIR}/knumber
)

add_definitions(
  -D_ISOC99_SOURCE
)


##### kcalc (tdeinit) ###########################

tde_add_tdeinit_executable( kcalc AUTOMOC
  SOURCES kcalc.cpp kcalc_button.cpp
    kcalc_const_button.cpp kcalc_const_menu.cpp
    kcalc_core.cpp kcalcdisplay.cpp dlabel.cpp
    stats.cpp colors.ui general.ui constants.ui
    kcalc_settings.kcfgc
  LINK tdeui-shared knumber-static
)


##### icons #####################################

tde_install_icons( kcalc)


##### other data ################################

install( FILES kcalcui.rc
  DESTINATION ${DATA_INSTALL_DIR}/kcalc
)

tde_create_translated_desktop( kcalc.desktop )

install( FILES kcalcrc.upd
  DESTINATION ${KCONF_UPDATE_INSTALL_DIR}
)

install( FILES kcalc.kcfg
  DESTINATION ${KCFG_INSTALL_DIR}
)

=== kfloppy/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### kfloppy (executable) ######################

tde_add_executable( kfloppy AUTOMOC
  SOURCES main.cpp format.cpp floppy.cpp
  LINK tdeui-shared
  DESTINATION ${BIN_INSTALL_DIR}
)


##### icons #####################################

tde_install_icons( kfloppy)


##### other data ################################

tde_create_translated_desktop(
  SOURCE KFloppy.desktop
  PO_DIR kfloppy-desktops
)

tde_create_translated_desktop(
  SOURCE floppy_format.desktop
  DESTINATION ${DATA_INSTALL_DIR}/konqueror/servicemenus
  PO_DIR kfloppy-desktops
)

=== tdefilereplace/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( toolbar )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_install_icons( )
tde_create_translated_desktop(
  SOURCE tdefilereplace.desktop
  PO_DIR tdefilereplace-desktops
)
tde_create_translated_desktop(
  SOURCE tdefilereplacepart.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR tdefilereplace-desktops
)
install( FILES tdefilereplacepartui.rc DESTINATION ${DATA_INSTALL_DIR}/tdefilereplacepart )
install( FILES tdefilereplaceui.rc DESTINATION ${DATA_INSTALL_DIR}/tdefilereplace )


##### libtdefilereplacepart (module) ##############

tde_add_kpart( libtdefilereplacepart AUTOMOC
  SOURCES
    commandengine.cpp configurationclasses.cpp
    tdefilereplacepart.cpp tdefilereplaceview.cpp
    tdefilereplaceviewwdg.ui kaddstringdlg.cpp kaddstringdlgs.ui
    knewprojectdlg.cpp knewprojectdlgs.ui koptionsdlg.cpp
    koptionsdlgs.ui tdefilereplacelib.cpp report.cpp
  LINK tdeio-shared tdeparts-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### tdefilereplace (executable) #################

tde_add_executable( tdefilereplace AUTOMOC
  SOURCES
    tdefilereplace.cpp main.cpp
  LINK tdeio-shared tdeparts-shared
  DESTINATION ${BIN_INSTALL_DIR}
)

=== doc/kcalc/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_create_handbook( DESTINATION kcalc )

=== doc/kcontrol/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_conditional_add_subdirectory( BUILD_TDELIRC kcmlirc )
tde_conditional_add_subdirectory( BUILD_KLAPTOPDAEMON kcmlowbatcrit )
tde_conditional_add_subdirectory( BUILD_KLAPTOPDAEMON kcmlowbatwarn )
tde_conditional_add_subdirectory( BUILD_KLAPTOPDAEMON laptop )
tde_conditional_add_subdirectory( BUILD_KLAPTOPDAEMON powerctrl )
tde_conditional_add_subdirectory( BUILD_KDF storagedevices )

=== doc/man/CMakeLists.txt ===
tde_conditional_add_subdirectory( BUILD_ARK ark )
tde_conditional_add_subdirectory( BUILD_KCALC kcalc )
tde_conditional_add_subdirectory( BUILD_KCHARSELECT kcharselect )
tde_conditional_add_subdirectory( BUILD_KDF kdf )
tde_conditional_add_subdirectory( BUILD_KEDIT kedit )
tde_conditional_add_subdirectory( BUILD_KFLOPPY kfloppy )
tde_conditional_add_subdirectory( BUILD_KGPG kgpg )
tde_conditional_add_subdirectory( BUILD_KHEXEDIT khexedit )
tde_conditional_add_subdirectory( BUILD_SUPERKARAMBA superkaramba )
tde_conditional_add_subdirectory( BUILD_TDEFILEREPLACE tdefilereplace )

=== kdf/pics/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_install_icons( kdf kwikdisk)


##### other data ################################

install( FILES tick.png delete.png
  DESTINATION ${DATA_INSTALL_DIR}/kdf/pics
)

=== kgpg/icons/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_install_icons( 
  DESTINATION ${DATA_INSTALL_DIR}/kgpg/icons )

=== kmilo/delli8k/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/kmilo/kmilod
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${CMAKE_BINARY_DIR}/kmilo/kmilod
)


##### kmilo_delli8k (kpart) #####################

tde_add_kpart( kmilo_delli8k AUTOMOC
  SOURCES delli8k.cpp
  LINK tdeio-shared kmilo-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE kmilo_delli8k.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}/kmilo
  PO_DIR kmilo-desktops
)

=== kmilo/kmilo_kvaio/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( kcmkvaio )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/kmilo/kmilod
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${CMAKE_BINARY_DIR}/kmilo/kmilod
)

##### kvaiodriverinterface (shared) #############

# this object is required by kcmvaio in subdirectory
tde_add_library( kvaiodriverinterface STATIC_PIC AUTOMOC
  SOURCES kvaiodriverinterface.cpp
)


##### kmilo_kvaio (kpart) #######################

tde_add_kpart( kmilo_kvaio AUTOMOC
  SOURCES kmilo_kvaio.cpp kvaio.cpp
  LINK tdeio-shared kmilo-shared 
    kvaiodriverinterface-static
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE kmilo_kvaio.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}/kmilo
  PO_DIR kmilo-desktops
)

=== kregexpeditor/predefined/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( General )

=== ksim/pics/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( misc )

##### icons #####################################

tde_install_icons( )

=== debian/changelog ===
tdeutils-trinity (4:14.2.0~pre142-0ubuntu24.10.0+7) oracular; urgency=low

  * Automated git build for 44f4c3e8bee96027983bf23b97aef63c4b925813
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdeutils

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Christopher Martin <chrsmrtn@debian.org>, Fathi Boudra <fboudra@free.fr>, Josh Metzler <joshdeb@metzlers.org>, Sune Vuorela <debian@pusling.com>
 Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, tdebase-trinity-dev, libkonq4-trinity-dev, libgmp3-dev, libsnmp-dev, libxpm-dev, python3-all-dev, libxtst-dev, xutils
-Build-Depends-Indep: doxygen, libtqtinterface-doc, graphviz, gsfonts-x11, tdelibs14-trinity-doc
+Build-Depends-Indep: doxygen, graphviz, gsfonts-x11, tdelibs14-trinity-doc
 Standards-Version: 3.8.4
 
 Package: tdeutils-trinity
@@ -242,3 +242,4 @@
 Section: utils
 Architecture: any
 Replaces: kjots-kde3 (<< 4:14.0.0~), kjots-trinity (<< 4:14.0.0~)
+Breaks: kjots-kde3 (<< 4:14.0.0~), kjots-trinity (<< 4:14.0.0~)

## tdeutils-trinity 14.2.0~pre143

=== debian/changelog ===
tdeutils-trinity (4:14.2.0~pre143-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for 3a9dd099fed19700ed32ad36f6a65b1eb7d6200e
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdeutils

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Nov 2025 11:18:34 +0100

## tdeutils-trinity 14.2.0~pre145

=== debian/changelog ===
tdeutils-trinity (4:14.2.0~pre145-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for 3f7e733f11002c3679dd33f39a80c0feed034f7f
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdeutils

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 16 Dec 2025 11:12:25 +0100

## tdeutils-trinity 14.2.0~pre149

=== debian/changelog ===
tdeutils-trinity (4:14.2.0~pre149-0ubuntu26.04.0+8~a) resolute; urgency=low

  * Automated git build for bdb0aa04da758449d8b82e90f00cae94593146da
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdeutils

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 05 Jan 2026 15:44:49 +0100

## tdeutils-trinity 14.2.0~pre151

=== debian/changelog ===
tdeutils-trinity (4:14.2.0~pre151-0ubuntu26.04.0+8~a) resolute; urgency=low

  * Automated git build for ab7fc92591b6ee2fd0ac7d4dd84253f83fa05e99
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdeutils

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 17 Jan 2026 16:13:23 +0100

## tdeutils-trinity 14.2.0~pre152

=== debian/changelog ===
tdeutils-trinity (4:14.2.0~pre152-0ubuntu25.10.0+8) questing; urgency=low

  * Automated git build for 4dd23fc7b7fe82e4f0d1d7c2fd285a627e09e576
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdeutils

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 31 Jan 2026 14:12:37 +0100
